Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 530512 (CVE-2014-9112) - <app-arch/cpio-2.11-r3: heap-based buffer overflow flaw in list_file() (CVE-2014-9112)
Summary: <app-arch/cpio-2.11-r3: heap-based buffer overflow flaw in list_file() (CVE-2...
Status: RESOLVED FIXED
Alias: CVE-2014-9112
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa glsa]
Keywords: STABLEREQ
Depends on: 536112
Blocks: CVE-2015-1197
  Show dependency tree
 
Reported: 2014-11-25 08:32 UTC by Agostino Sarubbo
Modified: 2015-02-15 14:49 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-11-25 08:32:33 UTC
From ${URL} :

A heap-based buffer overflow flaw was reported in cpio's list_file() function. Attempting to 
extract a malicious cpio archive could cause cpio to crash or, potentially, execute arbitrary code.

As noted in the original report, this issue could be trigger via other utilities, such as when 
running "less".

A patch is not yet available.

Original report:

http://seclists.org/fulldisclosure/2014/Nov/74


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2015-01-01 21:09:16 UTC
CVE-2014-9112 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9112):
  Heap-based buffer overflow in the process_copy_in function in GNU Cpio 2.11
  allows remote attackers to cause a denial of service via a large block value
  in a cpio archive.
Comment 2 Tony Vroon gentoo-dev 2015-01-09 11:46:30 UTC
+*cpio-2.11-r2 (09 Jan 2015)
+
+  09 Jan 2015; Tony Vroon <chainsaw@gentoo.org> +cpio-2.11-r2.ebuild,
+  +files/cpio-2.11-security.patch:
+  Scavenge upstream bug fixes for heap-based buffer overflow and directory
+  traversal through symlinks. For security bugs #530512 and #536010.

Arches, please test & mark stable:
=app-arch/cpio-2.11-r2

Target stable keywords:
alpha amd64 arm arm64 hppa ia64 m68k ppc ppc64 s390 sh sparc x86
Comment 3 Andreas Schürch gentoo-dev 2015-01-09 13:34:17 UTC
x86 done!
Comment 4 Tobias Klausmann gentoo-dev 2015-01-09 14:42:10 UTC
Stable on alpha.
Comment 5 Tony Vroon gentoo-dev 2015-01-09 15:51:08 UTC
Arches, please test & mark stable:
=app-arch/cpio-2.11-r3

Target stable keywords:
alpha amd64 arm arm64 hppa ia64 m68k ppc ppc64 s390 sh sparc x86

(Only change is the addition of eautoreconf and removal of a now unnecessary libexec directory removal; existing alpha & x86 stable keywords transferred)
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2015-01-09 16:34:45 UTC
Stable for HPPA.
Comment 7 Markus Meier gentoo-dev 2015-01-11 21:02:48 UTC
arm stable
Comment 8 Agostino Sarubbo gentoo-dev 2015-01-12 10:38:22 UTC
amd64 stable
Comment 9 Agostino Sarubbo gentoo-dev 2015-01-13 10:20:54 UTC
sparc stable
Comment 10 Sergey Popov gentoo-dev 2015-01-14 08:32:00 UTC
ppc/ppc64/s390 stable
Comment 11 Agostino Sarubbo gentoo-dev 2015-01-16 08:08:46 UTC
ia64 stable
Comment 12 Yury German Gentoo Infrastructure gentoo-dev 2015-01-31 21:42:27 UTC
With all stable arches completed, and only non-stable left setting the whiteboard appropriately.

New GLSA Request filed.
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2015-02-15 14:49:57 UTC
This issue was resolved and addressed in
 GLSA 201502-11 at http://security.gentoo.org/glsa/glsa-201502-11.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).